Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Lifespan_Strategy Class Reference

Lifespan strategy. More...

`#include <Active_Object_Map.h>`

Inheritance diagram for TAO_Lifespan_Strategy:

[legend]
Collaboration diagram for TAO_Lifespan_Strategy:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_Lifespan_Strategy (void)
| Virtual destructor.
virtual int | find_servant_using_system_id_and_user_id (const PortableServer::ObjectId &system_id, const PortableServer::ObjectId &user_id, PortableServer::Servant &servant, TAO_Active_Object_Map::Map_Entry *&entry)=0
| Can be used with any policy.
void | set_active_object_map (TAO_Active_Object_Map *active_object_map)
| Set the active map.
## Protected Attributes
TAO_Active_Object_Map * | active_object_map_
| Pointer to the active map.

## Detailed Description

Lifespan strategy.

Strategy for implementing points of variation between the TRANSIENT and the PERSISTENT policies.

## Constructor & Destructor Documentation

TAO_Lifespan_Strategy::~TAO_Lifespan_Strategy | ( | void |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

virtual int TAO_Lifespan_Strategy::find_servant_using_system_id_and_user_id | ( | const PortableServer::ObjectId & | system_id,
|  | const PortableServer::ObjectId & | user_id,
|  | PortableServer::Servant & | servant,
|  | TAO_Active_Object_Map::Map_Entry *& | entry
| ) | `[pure virtual]`

| Can be used with any policy. Implemented in TAO_Transient_Strategy, and TAO_Persistent_Strategy.

void TAO_Lifespan_Strategy::set_active_object_map | ( | TAO_Active_Object_Map * | active_object_map | ) |

| Set the active map.

## Member Data Documentation

TAO_Active_Object_Map* TAO_Lifespan_Strategy::active_object_map_`[protected]`

| Pointer to the active map.

The documentation for this class was generated from the following files:

- Active_Object_Map.h
- Active_Object_Map.cpp